// source: v1/dictionary_md/product_condition.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var v1_dictionary_md_color_pb = require('../../v1/dictionary_md/color_pb.js');
goog.object.extend(proto, v1_dictionary_md_color_pb);
var v1_dictionary_md_chemical_class_group_pb = require('../../v1/dictionary_md/chemical_class_group_pb.js');
goog.object.extend(proto, v1_dictionary_md_chemical_class_group_pb);
var v1_dictionary_md_distribution_type_chemical_pb = require('../../v1/dictionary_md/distribution_type_chemical_pb.js');
goog.object.extend(proto, v1_dictionary_md_distribution_type_chemical_pb);
var v1_dictionary_md_preparative_form_pb = require('../../v1/dictionary_md/preparative_form_pb.js');
goog.object.extend(proto, v1_dictionary_md_preparative_form_pb);
var v1_dictionary_md_product_active_substance_pb = require('../../v1/dictionary_md/product_active_substance_pb.js');
goog.object.extend(proto, v1_dictionary_md_product_active_substance_pb);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.ProductCondition', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.ProductCondition, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.ProductCondition.displayName = 'proto.fcp.dictionary.v1.dictionary_md.ProductCondition';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.displayName = 'proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.ProductCondition.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.toObject = function(includeInstance, msg) {
  var f, obj = {
    guarantyPeriod: jspb.Message.getFieldWithDefault(msg, 1, ""),
    storageTemperature: jspb.Message.getFieldWithDefault(msg, 2, ""),
    generalInfo: jspb.Message.getFieldWithDefault(msg, 3, ""),
    productAdvantage: jspb.Message.getFieldWithDefault(msg, 4, ""),
    features: jspb.Message.getFieldWithDefault(msg, 5, ""),
    mechanismAction: jspb.Message.getFieldWithDefault(msg, 11, ""),
    color: (f = msg.getColor()) && v1_dictionary_md_color_pb.Color.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.ProductCondition;
  return proto.fcp.dictionary.v1.dictionary_md.ProductCondition.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {string} */ (reader.readString());
      msg.setGuarantyPeriod(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setStorageTemperature(value);
      break;
    case 3:
      var value = /** @type {string} */ (reader.readString());
      msg.setGeneralInfo(value);
      break;
    case 4:
      var value = /** @type {string} */ (reader.readString());
      msg.setProductAdvantage(value);
      break;
    case 5:
      var value = /** @type {string} */ (reader.readString());
      msg.setFeatures(value);
      break;
    case 11:
      var value = /** @type {string} */ (reader.readString());
      msg.setMechanismAction(value);
      break;
    case 12:
      var value = new v1_dictionary_md_color_pb.Color;
      reader.readMessage(value,v1_dictionary_md_color_pb.Color.deserializeBinaryFromReader);
      msg.setColor(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.ProductCondition.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getGuarantyPeriod();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getStorageTemperature();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getGeneralInfo();
  if (f.length > 0) {
    writer.writeString(
      3,
      f
    );
  }
  f = message.getProductAdvantage();
  if (f.length > 0) {
    writer.writeString(
      4,
      f
    );
  }
  f = message.getFeatures();
  if (f.length > 0) {
    writer.writeString(
      5,
      f
    );
  }
  f = message.getMechanismAction();
  if (f.length > 0) {
    writer.writeString(
      11,
      f
    );
  }
  f = message.getColor();
  if (f != null) {
    writer.writeMessage(
      12,
      f,
      v1_dictionary_md_color_pb.Color.serializeBinaryToWriter
    );
  }
};


/**
 * optional string guaranty_period = 1;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.getGuarantyPeriod = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.setGuarantyPeriod = function(value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * optional string storage_temperature = 2;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.getStorageTemperature = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.setStorageTemperature = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional string general_info = 3;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.getGeneralInfo = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 3, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.setGeneralInfo = function(value) {
  return jspb.Message.setProto3StringField(this, 3, value);
};


/**
 * optional string product_advantage = 4;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.getProductAdvantage = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 4, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.setProductAdvantage = function(value) {
  return jspb.Message.setProto3StringField(this, 4, value);
};


/**
 * optional string features = 5;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.getFeatures = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 5, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.setFeatures = function(value) {
  return jspb.Message.setProto3StringField(this, 5, value);
};


/**
 * optional string mechanism_action = 11;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.getMechanismAction = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 11, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.setMechanismAction = function(value) {
  return jspb.Message.setProto3StringField(this, 11, value);
};


/**
 * optional Color color = 12;
 * @return {?proto.fcp.dictionary.v1.dictionary_md.Color}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.getColor = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_md.Color} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_md_color_pb.Color, 12));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_md.Color|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.setColor = function(value) {
  return jspb.Message.setWrapperField(this, 12, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductCondition} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.clearColor = function() {
  return this.setColor(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductCondition.prototype.hasColor = function() {
  return jspb.Message.getField(this, 12) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.repeatedFields_ = [4,5,6,7];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.toObject = function(includeInstance, msg) {
  var f, obj = {
    toxicityClassId: jspb.Message.getFieldWithDefault(msg, 1, 0),
    toxicityClassName: jspb.Message.getFieldWithDefault(msg, 2, ""),
    waitingPeriod: jspb.Message.getFieldWithDefault(msg, 3, ""),
    productActiveSubstancesList: jspb.Message.toObjectList(msg.getProductActiveSubstancesList(),
    v1_dictionary_md_product_active_substance_pb.ProductActiveSubstance.toObject, includeInstance),
    preparativeFormsList: jspb.Message.toObjectList(msg.getPreparativeFormsList(),
    v1_dictionary_md_preparative_form_pb.PreparativeForm.toObject, includeInstance),
    chemicalClassGroupsList: jspb.Message.toObjectList(msg.getChemicalClassGroupsList(),
    v1_dictionary_md_chemical_class_group_pb.ChemicalClassGroup.toObject, includeInstance),
    distributionTypeChemicalsList: jspb.Message.toObjectList(msg.getDistributionTypeChemicalsList(),
    v1_dictionary_md_distribution_type_chemical_pb.DistributionTypeChemical.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals;
  return proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setToxicityClassId(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setToxicityClassName(value);
      break;
    case 3:
      var value = /** @type {string} */ (reader.readString());
      msg.setWaitingPeriod(value);
      break;
    case 4:
      var value = new v1_dictionary_md_product_active_substance_pb.ProductActiveSubstance;
      reader.readMessage(value,v1_dictionary_md_product_active_substance_pb.ProductActiveSubstance.deserializeBinaryFromReader);
      msg.addProductActiveSubstances(value);
      break;
    case 5:
      var value = new v1_dictionary_md_preparative_form_pb.PreparativeForm;
      reader.readMessage(value,v1_dictionary_md_preparative_form_pb.PreparativeForm.deserializeBinaryFromReader);
      msg.addPreparativeForms(value);
      break;
    case 6:
      var value = new v1_dictionary_md_chemical_class_group_pb.ChemicalClassGroup;
      reader.readMessage(value,v1_dictionary_md_chemical_class_group_pb.ChemicalClassGroup.deserializeBinaryFromReader);
      msg.addChemicalClassGroups(value);
      break;
    case 7:
      var value = new v1_dictionary_md_distribution_type_chemical_pb.DistributionTypeChemical;
      reader.readMessage(value,v1_dictionary_md_distribution_type_chemical_pb.DistributionTypeChemical.deserializeBinaryFromReader);
      msg.addDistributionTypeChemicals(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getToxicityClassId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
  f = message.getToxicityClassName();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getWaitingPeriod();
  if (f.length > 0) {
    writer.writeString(
      3,
      f
    );
  }
  f = message.getProductActiveSubstancesList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      4,
      f,
      v1_dictionary_md_product_active_substance_pb.ProductActiveSubstance.serializeBinaryToWriter
    );
  }
  f = message.getPreparativeFormsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      5,
      f,
      v1_dictionary_md_preparative_form_pb.PreparativeForm.serializeBinaryToWriter
    );
  }
  f = message.getChemicalClassGroupsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      6,
      f,
      v1_dictionary_md_chemical_class_group_pb.ChemicalClassGroup.serializeBinaryToWriter
    );
  }
  f = message.getDistributionTypeChemicalsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      7,
      f,
      v1_dictionary_md_distribution_type_chemical_pb.DistributionTypeChemical.serializeBinaryToWriter
    );
  }
};


/**
 * optional int64 toxicity_class_id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.getToxicityClassId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.setToxicityClassId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional string toxicity_class_name = 2;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.getToxicityClassName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.setToxicityClassName = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional string waiting_period = 3;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.getWaitingPeriod = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 3, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.setWaitingPeriod = function(value) {
  return jspb.Message.setProto3StringField(this, 3, value);
};


/**
 * repeated ProductActiveSubstance product_active_substances = 4;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_md.ProductActiveSubstance>}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.getProductActiveSubstancesList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_md.ProductActiveSubstance>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_md_product_active_substance_pb.ProductActiveSubstance, 4));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_md.ProductActiveSubstance>} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.setProductActiveSubstancesList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 4, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ProductActiveSubstance=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductActiveSubstance}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.addProductActiveSubstances = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 4, opt_value, proto.fcp.dictionary.v1.dictionary_md.ProductActiveSubstance, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.clearProductActiveSubstancesList = function() {
  return this.setProductActiveSubstancesList([]);
};


/**
 * repeated PreparativeForm preparative_forms = 5;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_md.PreparativeForm>}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.getPreparativeFormsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_md.PreparativeForm>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_md_preparative_form_pb.PreparativeForm, 5));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_md.PreparativeForm>} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.setPreparativeFormsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 5, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_md.PreparativeForm=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_md.PreparativeForm}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.addPreparativeForms = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 5, opt_value, proto.fcp.dictionary.v1.dictionary_md.PreparativeForm, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.clearPreparativeFormsList = function() {
  return this.setPreparativeFormsList([]);
};


/**
 * repeated ChemicalClassGroup chemical_class_groups = 6;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_md.ChemicalClassGroup>}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.getChemicalClassGroupsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_md.ChemicalClassGroup>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_md_chemical_class_group_pb.ChemicalClassGroup, 6));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_md.ChemicalClassGroup>} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.setChemicalClassGroupsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 6, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ChemicalClassGroup=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ChemicalClassGroup}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.addChemicalClassGroups = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 6, opt_value, proto.fcp.dictionary.v1.dictionary_md.ChemicalClassGroup, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.clearChemicalClassGroupsList = function() {
  return this.setChemicalClassGroupsList([]);
};


/**
 * repeated DistributionTypeChemical distribution_type_chemicals = 7;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical>}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.getDistributionTypeChemicalsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_md_distribution_type_chemical_pb.DistributionTypeChemical, 7));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical>} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.setDistributionTypeChemicalsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 7, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical}
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.addDistributionTypeChemicals = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 7, opt_value, proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.prototype.clearDistributionTypeChemicalsList = function() {
  return this.setDistributionTypeChemicalsList([]);
};


goog.object.extend(exports, proto.fcp.dictionary.v1.dictionary_md);
